FILE=./setCommonEnv.sh

if [ -f "$FILE" ];
then
   echo "File $FILE exists"
   . ./setCommonEnv.sh
else
   echo "File $FILE does not exists"
fi


JAVA="$JAVA_HOME/bin/java"
JAVA_OPTS=" -Dserver.home=$SERVER_HOME -Ddb.home=$DB_HOME -Djava.library.path=$SERVER_HOME/lib/native"

CLASS_PATH=../lib/AdventNetRuntimeUtilities.jar:../lib/AdventNetClientComponents.jar:../lib/AdventNetClientFramework.jar:../lib/framework-tools.jar:../lib/AdvPersistence.jar:../lib/jboss-compressed.jar:../lib/jboss-transaction.jar:../lib/concurrent.jar:../lib/jboss-j2ee.jar:../lib/jboss-common-jdbc-wrapper.jar:../lib/jboss-jca.jar:../lib:../lib/AdvMicroFramework.jar:../lib/AdvCoreLogging.jar:../lib/AdvMickeyLiteLogging.jar:../lib/AdvCustomView.jar:../lib/AdvWorkEngine.jar:../lib/AdvAuthentication.jar:../lib/AdvAuthorization.jar:../lib/AdvAudit.jar:../lib/tomcat/commons-collections-3.1.jar:../lib/AdvTaskEngine.jar:../lib/jcifs-krb5-1.2.13.jar:../lib/mickey3.jar:../lib/postgresql_jdbc3.jar:../lib/AdventNetOpUtils.jar:../OpUtils/bin/run.jar:../bin/run.jar:../lib/jtds-1.2.5.jar:

NOOFARGS=$#

displayUsage()
{
	echo "Usage:" 
	echo ----------------------------------------------------------------------------
	echo "Usage: UgradeToOpUtils12 [ProcessId] [POSTGRES/MSSQL]"
	echo "ProcessId :"
	echo "     [1]. Backup Alone"
	echo "     [2]. Restore Alone"
	echo "     [3]. Backup & Restore DB"
	echo "For Eg:-: UgradeToOpUtils12 1 POSTGRES"
	echo ----------------------------------------------------------------------------
	exit 1
}

if [ ${NOOFARGS} -lt 2 ];  
then
	echo "<<<<<=====================  IN-VALID COMMAND USAGE  =====================>>>>>"
	displayUsage
fi

$JAVA -cp $CLASS_PATH $JAVA_OPTS -Xmx1024m -XX:+HeapDumpOnOutOfMemoryError com.adventnet.netutils.fw.OpUtils12Upgrade $*
